#ifndef macrolib_ibis_c_INCLUDED
#define macrolib_ibis_c_INCLUDED
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_c.hpp"
#endif
#ifndef macrolib_ibis_c_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_c_export __declspec(dllimport)
#  else
#    define macrolib_ibis_c_export
#  endif
#endif
#include "smash_enum.h"
#include "std_standard.hpp"
using namespace STD;
#include "ieee_electrical_systems.hpp"
using namespace IEEE;
namespace MACROLIB
{
class macrolib_ibis_c_export IBIS_C {
public:
const char *mInstanceName;
static char smGF[3];
char mGF[3];
static STANDARD_REAL smGV0;
const STANDARD_REAL CVAL;
static STANDARD_REAL smGV1;
const STANDARD_REAL V0;
static STANDARD_REAL smGV2;
const STANDARD_REAL SCALE;
static char smPF[2];
static short smPT[2];
static const char *smAN[2];
char mPF[2];
short mPT[2];
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV0;
ELECTRICAL_SYSTEMS_ELECTRICAL &P;
static double smPE0;
double mPE0;
T_B3CIDispatcher *P_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV1;
ELECTRICAL_SYSTEMS_ELECTRICAL &N;
static double smPE1;
double mPE1;
T_B3CIDispatcher *N_dispatchers;
virtual short ElaborateConfiguration(const char *, long) = 0;
public:
IBIS_C();
virtual ~IBIS_C();
};
extern "C" macrolib_ibis_c_export const char *MACROLIB_IBIS_C_GetGenericName(short);
extern "C" macrolib_ibis_c_export const char *MACROLIB_IBIS_C_GetPortName(short);
extern "C" macrolib_ibis_c_export void MACROLIB_IBIS_C_InitStaticGenericPort(void);
extern "C" macrolib_ibis_c_export short MACROLIB_IBIS_C_SetGeneric(const char *, const char *, const char *, const T_B3CIValue *);
extern "C" macrolib_ibis_c_export short MACROLIB_IBIS_C_SetPort(short inLang, const char *, const char *, const char *, const char *, void *, long, double, short, short);
extern "C" macrolib_ibis_c_export short MACROLIB_IBIS_C_InstantiateUnmappedPort(const char *);
extern "C" macrolib_ibis_c_export short MACROLIB_IBIS_C_Elaborate(T_B3CIHandle *, const char *, long, short);
extern "C" macrolib_ibis_c_export short MACROLIB_IBIS_C_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_c_export short MACROLIB_IBIS_C_Finalize(T_B3CIHandle);
extern "C" macrolib_ibis_c_export short MACROLIB_IBIS_C_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_c_export short MACROLIB_IBIS_C_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_c_export short MACROLIB_IBIS_C_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_c_INCLUDED */
