#ifndef macrolib_ibis_input_INCLUDED
#define macrolib_ibis_input_INCLUDED
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_input.hpp"
#endif
#ifndef macrolib_ibis_input_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_input_export __declspec(dllimport)
#  else
#    define macrolib_ibis_input_export
#  endif
#endif
#include "smash_enum.h"
#include "std_standard.hpp"
using namespace STD;
#include "ieee_electrical_systems.hpp"
using namespace IEEE;
#include "ieee_math_real.hpp"
using namespace IEEE;
#include "macrolib_macrolib_functions.hpp"
using namespace MACROLIB;
namespace MACROLIB
{
class macrolib_ibis_input_export IBIS_INPUT {
public:
const char *mInstanceName;
static char smGF[13];
char mGF[13];
static STANDARD_REAL smGV0;
const STANDARD_REAL C_COMP;
static STANDARD_REAL smGV1;
const STANDARD_REAL KC_COMP_PC;
static STANDARD_REAL smGV2;
const STANDARD_REAL KC_COMP_GC;
static STANDARD_REAL smGV3;
const STANDARD_REAL VINH;
static STANDARD_REAL smGV4;
const STANDARD_REAL VINL;
static STANDARD_REAL_VECTOR *smGV5;
STANDARD_REAL_VECTOR &IPC_DATA;
static STANDARD_REAL_VECTOR *smGV6;
STANDARD_REAL_VECTOR &VPC_DATA;
static STANDARD_REAL_VECTOR *smGV7;
STANDARD_REAL_VECTOR &IGC_DATA;
static STANDARD_REAL_VECTOR *smGV8;
STANDARD_REAL_VECTOR &VGC_DATA;
static STANDARD_REAL smGV9;
const STANDARD_REAL KI_PC;
static STANDARD_REAL smGV10;
const STANDARD_REAL KI_GC;
static STANDARD_STRING *smGV11;
STANDARD_STRING &DATAFILE;
static STANDARD_INTEGER smGV12;
const STANDARD_INTEGER MAXIV_LENGTH;
static char smPF[4];
static short smPT[4];
static const char *smAN[4];
char mPF[4];
short mPT[4];
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV0;
ELECTRICAL_SYSTEMS_ELECTRICAL &PC_REF;
static double smPE0;
double mPE0;
T_B3CIDispatcher *PC_REF_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV1;
ELECTRICAL_SYSTEMS_ELECTRICAL &GC_REF;
static double smPE1;
double mPE1;
T_B3CIDispatcher *GC_REF_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV2;
ELECTRICAL_SYSTEMS_ELECTRICAL &PAD;
static double smPE2;
double mPE2;
T_B3CIDispatcher *PAD_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV3;
ELECTRICAL_SYSTEMS_ELECTRICAL &RCV_D;
static double smPE3;
double mPE3;
T_B3CIDispatcher *RCV_D_dispatchers;
virtual short ElaborateConfiguration(const char *, long) = 0;
public:
IBIS_INPUT();
virtual ~IBIS_INPUT();
};
extern "C" macrolib_ibis_input_export const char *MACROLIB_IBIS_INPUT_GetGenericName(short);
extern "C" macrolib_ibis_input_export const char *MACROLIB_IBIS_INPUT_GetPortName(short);
extern "C" macrolib_ibis_input_export void MACROLIB_IBIS_INPUT_InitStaticGenericPort(void);
extern "C" macrolib_ibis_input_export short MACROLIB_IBIS_INPUT_SetGeneric(const char *, const char *, const char *, const T_B3CIValue *);
extern "C" macrolib_ibis_input_export short MACROLIB_IBIS_INPUT_SetPort(short inLang, const char *, const char *, const char *, const char *, void *, long, double, short, short);
extern "C" macrolib_ibis_input_export short MACROLIB_IBIS_INPUT_InstantiateUnmappedPort(const char *);
extern "C" macrolib_ibis_input_export short MACROLIB_IBIS_INPUT_Elaborate(T_B3CIHandle *, const char *, long, short);
extern "C" macrolib_ibis_input_export short MACROLIB_IBIS_INPUT_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_input_export short MACROLIB_IBIS_INPUT_Finalize(T_B3CIHandle);
extern "C" macrolib_ibis_input_export short MACROLIB_IBIS_INPUT_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_input_export short MACROLIB_IBIS_INPUT_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_input_export short MACROLIB_IBIS_INPUT_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_input_INCLUDED */
