#ifndef macrolib_ibis_input_simple_receiver_INCLUDED
#define macrolib_ibis_input_simple_receiver_INCLUDED
#include "macrolib_ibis_input.hpp"
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_input_simple_receiver.hpp"
#endif
#ifndef macrolib_ibis_input_simple_receiver_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_input_simple_receiver_export __declspec(dllimport)
#  else
#    define macrolib_ibis_input_simple_receiver_export
#  endif
#endif
#include "std_standard.hpp"
using namespace STD;
namespace MACROLIB {
class macrolib_ibis_input_simple_receiver_export IBIS_INPUT_SIMPLE_RECEIVER : public IBIS_INPUT {
public:
typedef short (IBIS_INPUT_SIMPLE_RECEIVER::*T_ThunkMethod)(short);
static short smThunk(IBIS_INPUT_SIMPLE_RECEIVER *, T_ThunkMethod *, short);
ELECTRICAL_SYSTEMS_VOLTAGE VPC;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VPC;
ELECTRICAL_SYSTEMS_CURRENT IPC;
ELECTRICAL_SYSTEMS_CURRENT mM1_IPC;
ELECTRICAL_SYSTEMS_VOLTAGE VGC;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VGC;
ELECTRICAL_SYSTEMS_CURRENT IGC;
ELECTRICAL_SYSTEMS_CURRENT mM1_IGC;
ELECTRICAL_SYSTEMS_VOLTAGE VRCV;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VRCV;
ELECTRICAL_SYSTEMS_CURRENT IRCV;
ELECTRICAL_SYSTEMS_CURRENT mM1_IRCV;
const STANDARD_REAL C_COMP_VAL;
const STANDARD_REAL KC_COMP_PC_VAL;
const STANDARD_REAL KC_COMP_GC_VAL;
const STANDARD_REAL VINH_VAL;
const STANDARD_REAL VINL_VAL;
STANDARD_REAL_VECTOR IPC_VEC;
STANDARD_REAL_VECTOR VPC_VEC;
STANDARD_REAL_VECTOR IGC_VEC;
STANDARD_REAL_VECTOR VGC_VEC;
unsigned mF1 : 1;
static T_ThunkMethod smPthunk1;
short mP1(short);
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_through_qPC_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPC_REF_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPC_REF_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_through_qGC_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tGC_REF_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportGC_REF_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qPAD_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tPAD_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIGC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportPAD_through_qIPC_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tRCV_D_through_qRCV_D_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tRCV_D_root_exp_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tRCV_D_through_qIRCV_smp;
ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer tportRCV_D_through_qIRCV_smp;
double *exp_PC_REF_2[7];
double *exp_GC_REF_3[7];
double *exp_PAD_4[7];
double *exp_RCV_D_5[7];
STANDARD_BOOLEAN_DriverHandle VGC_ABOVE_6_driver;
STANDARD_BOOLEAN_DriverHandle VGC_ABOVE_7_driver;
STANDARD_BOOLEAN_DriverHandle VGC_ABOVE_8_driver;
STANDARD_BOOLEAN_DriverHandle VGC_ABOVE_9_driver;
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e11_q10_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e11_q10_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e11_q10_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e11_q12_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e11_q12_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e11_q12_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e11_q13_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e11_q13_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e11_q13_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e15_q14_ELECTRICAL_SYSTEMS_CURRENT_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e15_q14_ELECTRICAL_SYSTEMS_CURRENT_Identifier
typedef ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e15_q14_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e15_q16_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e15_q16_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e15_q16_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_CURRENT_e15_q17_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_CURRENT_e15_q17_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_CURRENT_e15_q17_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_VOLTAGE_e19_q18_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_VOLTAGE_e19_q18_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_VOLTAGE_e19_q18_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_VOLTAGE_e20_q18_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_VOLTAGE_e20_q18_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_VOLTAGE_e20_q18_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
#ifndef ELECTRICAL_SYSTEMS_VOLTAGE_e21_q18_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
#define ELECTRICAL_SYSTEMS_VOLTAGE_e21_q18_ELECTRICAL_SYSTEMS_VOLTAGE_Identifier
typedef ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer ELECTRICAL_SYSTEMS_VOLTAGE_e21_q18_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer;
#endif
ELECTRICAL_SYSTEMS_VOLTAGE VPC_DOT;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VPC_DOT;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_DOT_VPC_DOTq12_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_DOT_VPCq12_smp;
ELECTRICAL_SYSTEMS_VOLTAGE VGC_DOT;
ELECTRICAL_SYSTEMS_VOLTAGE mM1_VGC_DOT;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_DOT_VGC_DOTq16_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_DOT_VGCq16_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_VPC_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_PC_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VPC_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_VGC_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_PAD_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VGC_across_GC_REF_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VRCV_across_VRCV_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VRCV_across_RCV_D_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer VRCV_across_ELECTRICAL_REF_smp;
ELECTRICAL_SYSTEMS_CURRENT_e11_q10_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e11_IPCq10_smp;
ELECTRICAL_SYSTEMS_CURRENT_e11_q12_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e11_VPCq12_smp;
ELECTRICAL_SYSTEMS_CURRENT_e11_q13_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e11_VPC_DOTq13_smp;
ELECTRICAL_SYSTEMS_CURRENT_e15_q14_ELECTRICAL_SYSTEMS_CURRENT_MatrixPointer e15_IGCq14_smp;
ELECTRICAL_SYSTEMS_CURRENT_e15_q16_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e15_VGCq16_smp;
ELECTRICAL_SYSTEMS_CURRENT_e15_q17_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e15_VGC_DOTq17_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_e19_q18_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e19_VRCVq18_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_e20_q18_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e20_VRCVq18_smp;
ELECTRICAL_SYSTEMS_VOLTAGE_e21_q18_ELECTRICAL_SYSTEMS_VOLTAGE_MatrixPointer e21_VRCVq18_smp;
static double *t_DEFAULT_VOLTAGE_Dot;
static T_ThunkMethod smDthunk_VGC_ABOVE_8;
short mD_VGC_ABOVE_8(short);
static T_ThunkMethod smDthunk_VGC_ABOVE_9;
short mD_VGC_ABOVE_9(short);
STANDARD_BOOLEAN VGC_ABOVE_6; 
T_B3CIDispatcher *VGC_ABOVE_6_dispatchers; 
bool VGC_ABOVE_6_Control();
bool VGC_ABOVE_6_Initialize(double *);
STANDARD_BOOLEAN VGC_ABOVE_7; 
T_B3CIDispatcher *VGC_ABOVE_7_dispatchers; 
bool VGC_ABOVE_7_Control();
bool VGC_ABOVE_7_Initialize(double *);
STANDARD_BOOLEAN VGC_ABOVE_8; 
T_B3CIDispatcher *VGC_ABOVE_8_dispatchers; 
bool VGC_ABOVE_8_Control();
bool VGC_ABOVE_8_Initialize(double *);
STANDARD_BOOLEAN VGC_ABOVE_9; 
T_B3CIDispatcher *VGC_ABOVE_9_dispatchers; 
bool VGC_ABOVE_9_Control();
bool VGC_ABOVE_9_Initialize(double *);
short Elaborate(const char *, long);
short ElaborateDrivers(void);
short ElaborateDispatchers(void);
virtual short ElaborateConfiguration(const char *, long);
short Initialize(long, double *);
short Finalize(void);
short AmsLink(long, long **);
short AmsBim(long, TRANS_PARAM_BIM *, long **);
short AmsConverge(long, long **, double *, unsigned char *, ANALYSISTYPE);
void CreateDispatchers(void);
void DeleteDispatchers(void);
public:
IBIS_INPUT_SIMPLE_RECEIVER();
virtual ~IBIS_INPUT_SIMPLE_RECEIVER();
};
extern "C" macrolib_ibis_input_simple_receiver_export short MACROLIB_IBIS_INPUT_SIMPLE_RECEIVER_Elaborate(T_B3CIHandle *, const char *, long);
extern "C" macrolib_ibis_input_simple_receiver_export short MACROLIB_IBIS_INPUT_SIMPLE_RECEIVER_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_input_simple_receiver_export short MACROLIB_IBIS_INPUT_SIMPLE_RECEIVER_Finalize(T_B3CIHandle inInstance);
extern "C" macrolib_ibis_input_simple_receiver_export short MACROLIB_IBIS_INPUT_SIMPLE_RECEIVER_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_input_simple_receiver_export short MACROLIB_IBIS_INPUT_SIMPLE_RECEIVER_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_input_simple_receiver_export short MACROLIB_IBIS_INPUT_SIMPLE_RECEIVER_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_input_simple_receiver_INCLUDED */
