#ifndef macrolib_ibis_t_INCLUDED
#define macrolib_ibis_t_INCLUDED
#if defined(__GNUC__) && defined(unix)
#  pragma interface "macrolib_ibis_t.hpp"
#endif
#ifndef macrolib_ibis_t_export
#  if defined(_WIN32) && !defined(unix)
#    define macrolib_ibis_t_export __declspec(dllimport)
#  else
#    define macrolib_ibis_t_export
#  endif
#endif
#include "smash_enum.h"
#include "std_standard.hpp"
using namespace STD;
#include "ieee_electrical_systems.hpp"
using namespace IEEE;
namespace MACROLIB
{
class macrolib_ibis_t_export IBIS_T {
public:
const char *mInstanceName;
static char smGF[2];
char mGF[2];
static STANDARD_REAL smGV0;
const STANDARD_REAL Z0;
static STANDARD_REAL smGV1;
const STANDARD_REAL TD;
static char smPF[4];
static short smPT[4];
static const char *smAN[4];
char mPF[4];
short mPT[4];
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV0;
ELECTRICAL_SYSTEMS_ELECTRICAL &N1;
static double smPE0;
double mPE0;
T_B3CIDispatcher *N1_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV1;
ELECTRICAL_SYSTEMS_ELECTRICAL &REF1;
static double smPE1;
double mPE1;
T_B3CIDispatcher *REF1_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV2;
ELECTRICAL_SYSTEMS_ELECTRICAL &N2;
static double smPE2;
double mPE2;
T_B3CIDispatcher *N2_dispatchers;
static ELECTRICAL_SYSTEMS_ELECTRICAL *smPV3;
ELECTRICAL_SYSTEMS_ELECTRICAL &REF2;
static double smPE3;
double mPE3;
T_B3CIDispatcher *REF2_dispatchers;
virtual short ElaborateConfiguration(const char *, long) = 0;
public:
IBIS_T();
virtual ~IBIS_T();
};
extern "C" macrolib_ibis_t_export const char *MACROLIB_IBIS_T_GetGenericName(short);
extern "C" macrolib_ibis_t_export const char *MACROLIB_IBIS_T_GetPortName(short);
extern "C" macrolib_ibis_t_export void MACROLIB_IBIS_T_InitStaticGenericPort(void);
extern "C" macrolib_ibis_t_export short MACROLIB_IBIS_T_SetGeneric(const char *, const char *, const char *, const T_B3CIValue *);
extern "C" macrolib_ibis_t_export short MACROLIB_IBIS_T_SetPort(short inLang, const char *, const char *, const char *, const char *, void *, long, double, short, short);
extern "C" macrolib_ibis_t_export short MACROLIB_IBIS_T_InstantiateUnmappedPort(const char *);
extern "C" macrolib_ibis_t_export short MACROLIB_IBIS_T_Elaborate(T_B3CIHandle *, const char *, long, short);
extern "C" macrolib_ibis_t_export short MACROLIB_IBIS_T_Initialize(T_B3CIHandle, long, double *);
extern "C" macrolib_ibis_t_export short MACROLIB_IBIS_T_Finalize(T_B3CIHandle);
extern "C" macrolib_ibis_t_export short MACROLIB_IBIS_T_AmsLink(T_B3CIHandle, long, long **);
extern "C" macrolib_ibis_t_export short MACROLIB_IBIS_T_AmsBim(T_B3CIHandle, long, TRANS_PARAM_BIM *, long **);
extern "C" macrolib_ibis_t_export short MACROLIB_IBIS_T_AmsConverge(T_B3CIHandle, long, long **, double *, unsigned char *, ANALYSISTYPE);
}
#endif /* macrolib_ibis_t_INCLUDED */
